#!/bin/sh
#==============================================================================
# root-neutrino-jffs2-local.sh
#==============================================================================

#------------------------------------------------------------------------------
# Get yBuild pathes and variables
#------------------------------------------------------------------------------
yb_home=$HOME/tuxbox/yBuild
. $yb_home/yb_globals.conf
. $yb_home/include/_yb_library.inc.sh
init_variables

#------------------------------------------------------------------------------
# init specific pathes and variables
#------------------------------------------------------------------------------
flashprefix=$1
buildprefix=$2
myfiles=$MYFILESDIR
cdkroot=$DBOX_PREFIX/cdkroot
actual_local_dir=$flashprefix/root-neutrino-jffs2

#------------------------------------------------------------------------------
# lets start
#------------------------------------------------------------------------------
echo "================================================================================"
echo "START LOCAL: $0"
echo "flashprefix=$1 and buildprefix=$2"
echo "================================================================================"
#show_variables
#set -x

#------------------------------------------------------------------------------
install -d $actual_local_dir/hdd	# hdd mount dir

#------------------------------------------------------------------------------
# copy my own files
#------------------------------------------------------------------------------
echo "copying own files"
cp -r $MyDBOXFILESDIR/* $actual_local_dir

#---------------------------------------------------------------------------------
# include script to delete files
#---------------------------------------------------------------------------------
if [ -e $MyLOCALSDIR/my-delete-files.inc ]; then
. $MyLOCALSDIR/my-delete-files.inc
fi

#---------------------------------------------------------------------------------
# Remove not needed Plugins
#---------------------------------------------------------------------------------
PLUGINS="tuxcom tuxtxt" #customize here
echo "removing: plugins, games execpt: $PLUGINS"
#set -x
for f in $actual_local_dir/lib/tuxbox/plugins/*.cfg; do
	_plugin=`basename $f .cfg`
	(echo $PLUGINS | grep -v $_plugin >/dev/null) && rm -f $actual_local_dir/lib/tuxbox/plugins/$_plugin.*
done

#---------------------------------------------------------------------------------
# Remove not needed Language files
#---------------------------------------------------------------------------------
LANGUAGES="deutsch" #customize here
echo "removing: not needed language files execpt: $LANGUAGES"
for f in $actual_local_dir/share/tuxbox/neutrino/locale/*; do
    (echo $LANGUAGES | grep -v `basename $f .locale` >/dev/null) && rm -f $f
done

#---------------------------------------------------------------------------------
echo "================================================================================"
echo "END LOCAL: $0"
echo "================================================================================"
