#! /bin/bash
# -----------------------------------------------------------------------------------------------------------
# Tuxbox Build & Compiler Helper
# by yjogol (yjogol@online.de)
# $Date: 2007/01/20 11:58:08 $
# $Revision: 1.6 $
# -----------------------------------------------------------------------------------------------------------

# -----------------------------------------------------------------------------------------------------------
# Menu
# -----------------------------------------------------------------------------------------------------------
basisconf_menu()
{
	if [ "$SDEBUG" == "0" ];then
		clear
	fi
	echo "==============================================================================="
	echo "Menu: Basis Configuration"
	echo "Version: $yb_version Date: $yb_date"
	echo "-------------------------------------------------------------------------------"
	echo "0 - Working Directory.....: $cWORKINGDIR"
	echo "1 - Custom Directory......: $cMYFILESDIR  ($cWORKINGDIR/$cMYFILESDIR)"
	echo "2 -   Logos  Directory....: $cLOGOSDIR  ($cWORKINGDIR/$cMYFILESDIR/$cLOGOSDIR)"
	echo "3 -   Ucodes Directory....: $cUCODESDIR  ($cWORKINGDIR/$cMYFILESDIR/$cUCODESDIR)"
	echo "4 -   locals Directory....: $cMyLOCALSDIR  ($cWORKINGDIR/$cMYFILESDIR/$cMyLOCALSDIR)"
	echo "5 -   Patches Directory...: $cMyPATCHESDIR  ($cWORKINGDIR/$cMYFILESDIR/$cMyPATCHESDIR)"
	echo "6 -   dbox-Files Directory: $cMyDBOXFILESDIR  ($cWORKINGDIR/$cMYFILESDIR/$cMyDBOXFILESDIR)"
	echo "7 - DBOX Directory........: $cDBOX_PREFIX  ($cWORKINGDIR/$cDBOX_PREFIX)"
	echo "8 - ARCHIVE Directory.....: $cARCHIVEDIR  ($cWORKINGDIR/$cARCHIVEDIR)"
	echo "9 - CVS Directory.........: $cCVSDIR  ($cWORKINGDIR/$cCVSDIR)"
	echo "u - CVS Username..........: $CVSNAME (for anonymous: anoncvs)"
	echo ""
	echo "b - Back"
	echo "==============================================================================="
	echo "Enter command:"
}

# -----------------------------------------------------------------------------------------------------------
# Menu Loop
# -----------------------------------------------------------------------------------------------------------
basisconf()
{
	basisconf_doquit=false
	while [ "$basisconf_doquit" == "false" ]
	do
		basisconf_menu
		read cmd
		case "$cmd" in
			0)	config_editvariable "cWORKINGDIR" "[/home/<username>/tuxbox]" "Working Directory" ;;
			1)	config_editvariable "cMYFILESDIR" "Private" "Custom Files Directory" ;;
			2)	config_editvariable "cLOGOSDIR" "Logos" "Logos Directory" ;;
			3)	config_editvariable "cUCODESDIR" "Ucodes" "Ucodes Directory" ;;
			4)	config_editvariable "cMyLOCALSDIR" "locals" "local-scripts Directory" ;;
			5)	config_editvariable "cMyPATCHESDIR" "patches" "patches Directory" ;;
			6)	config_editvariable "cMyDBOXFILESDIR" "files" "dbox-files Directory" ;;
			7)	config_editvariable "cDBOX_PREFIX" "dbox2" "Dbox Directory" ;;
			8)	config_editvariable "cARCHIVEDIR" "Archive" "Archive Directory" ;;
			9)	config_editvariable "cCVSDIR" "tuxbox-cvs" "CVS Directory" ;;
			u)	config_editvariable "CVSNAME" "anoncvs" "CVS Username" ;;
			b)	basisconf_doquit="true"	;;
		esac
	done
}
